# GenerateEclipseProject

API Documentation: | `GenerateEclipseProject`

Generates an Eclipse `.project` file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseProject`.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`outputFile` | The output file to write the final configuration to.
`projectModel` | The Eclipse project model that contains the details required to generate the project file.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `File` `outputFile`

The output file to write the final configuration to.

#### `EclipseProject` `projectModel`

The Eclipse project model that contains the details required to generate the project file.

Default with `eclipse` plugins:
  `project.eclipse.project`